%define         docfiles       copying README changelog

Name:           wmcpufreq
Version:        3.0
Release:        %mkrel 9
Summary:        Yet another dockapp for monitoring CPU frequency
License:        GPLv2
Group:          Monitoring

URL:            http://dockapps.windowmaker.org/file.php/id/309
Source0:        http://dockapps.windowmaker.org/download.php/id/862/%{name}-%{version}.tar.gz
#fix segmentation fault if appending unrecognized arguments
Patch0:         wmcpufreq-3.0-argsegfault.patch
#allows to specify which cpuid range to monitor
Patch1:         wmcpufreq-3.0-cpuid.patch
#force displaying freq=f_max if freq>f_max (may happen for varying
#f_max intel_pstates)
Patch2:         wmcpufreq-3.0-fmax.patch

BuildRequires:  glibc-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel


%description
Wmcpufreq is a dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
frequency of each of your CPU cores in use between the maximum and
minimum allowed values. The driver used appears in green while the
active governor is in red.


%prep
%setup -q
%patch0 -p1 -b .argsegfault
%patch1 -p1 -b .cpuid
%patch2 -p1 -b .fmax

%build
%make CFLAGS="%optflags" LIBDIR="%ldflags"


%install
chmod 644 %{docfiles}
cd %{name}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%files
%doc %{docfiles}
%{_bindir}/wmcpufreq




%changelog
* Fri Jan 02 2015 eatdirt <eatdirt> 3.0-9.mga5
+ Revision: 808186
- Fix display corruption with intel_pstates driver

* Sat Nov 15 2014 eatdirt <eatdirt> 3.0-8.mga5
+ Revision: 797325
- Add patch to specify whith cpuids to monitor

* Wed Nov 12 2014 eatdirt <eatdirt> 3.0-7.mga5
+ Revision: 796701
- Fix segfault with unknown arguments

* Wed Oct 15 2014 umeabot <umeabot> 3.0-6.mga5
+ Revision: 743250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-5.mga5
+ Revision: 690330
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0-4.mga4
+ Revision: 520221
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0-3.mga3
+ Revision: 385725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.0-2.mga3
+ Revision: 314566
- Rebuild for mga3

* Fri Sep 30 2011 eatdirt <eatdirt> 3.0-1.mga2
+ Revision: 150499
- imported package wmcpufreq

